Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Part.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Part.java	(revision 3926)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Part.java	(revision 3927)
@@ -100,7 +100,7 @@
 	
 	@Override
 	public String getComputingStartMessage() {
-		return NLS.bind(SearchEngineCoreMessages.info_computingPartXWithQueryZ, this.getName(), this.pQuery);
+		return NLS.bind(SearchEngineCoreMessages.info_computingPartP0WithQueryP1, this.getName(), this.pQuery);
 	}
 
 	
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 3926)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 3927)
@@ -150,7 +150,7 @@
 			this.setUserName("no_name");
 		}
 		
-		Log.finest(NLS.bind(SearchEngineCoreMessages.info_creatingNewPartition, this.getUserName(), this.getParent()));
+		Log.finest(NLS.bind(SearchEngineCoreMessages.info_creatingNewPartitionP0OfP1, this.getUserName(), this.getParent()));
 		long start = System.currentTimeMillis();
 		
 		monitor.setTask("Building parts...");
@@ -170,7 +170,7 @@
 			
 		}
 		long end = System.currentTimeMillis();
-		Log.fine(NLS.bind(SearchEngineCoreMessages.info_partitionCreatedInXMs, this.getUserName(), (end - start)));
+		Log.fine(NLS.bind(SearchEngineCoreMessages.info_partitionP0CreatedInP1Ms, this.getUserName(), (end - start)));
 		
 		return pQueries.size() > 0;
 	}
@@ -197,7 +197,7 @@
 			this.setUserName(corpus.getName() + "_" + pProperty.getFullName()); //$NON-NLS-1$
 		}
 		
-		Log.finest(NLS.bind(SearchEngineCoreMessages.info_creatingNewPartition, this.getUserName(), this.getParent()));
+		Log.finest(NLS.bind(SearchEngineCoreMessages.info_creatingNewPartitionP0OfP1, this.getUserName(), this.getParent()));
 		
 		if (pValues == null) {
 			pValues = pProperty.getValues(corpus);
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java	(revision 3926)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java	(revision 3927)
@@ -379,7 +379,7 @@
 	// * the cqi client exception
 	// */
 	// public void dropPartition(Partition partition) throws CqiClientException {
-	// Log.finest(SearchEngineCoreMessages.info_deletingPartition +
+	// Log.finest(SearchEngineCoreMessages.info_deletingPartitionP0 +
 	// partition.getName());
 	// for (Part part : partition.getParts())
 	// try {
Index: TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/messages/SearchEngineCoreMessages.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/messages/SearchEngineCoreMessages.java	(revision 3926)
+++ TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/messages/SearchEngineCoreMessages.java	(revision 3927)
@@ -25,16 +25,16 @@
 
 	public static String startingP0;
 	
-	public static String info_creatingNewPartition;
+	public static String info_creatingNewPartitionP0OfP1;
 	
-	public static String info_deletingPartition;
+	public static String info_deletingPartitionP0;
 	
 	
-	public static String info_partitionCreatedInXMs;
+	public static String info_partitionP0CreatedInP1Ms;
 	
 	public static String deletingQueryResultP0;
 	
-	public static String info_computingPartXWithQueryZ;
+	public static String info_computingPartP0WithQueryP1;
 	
 	
 	public static String info_computingTheP0SubCorpusOfP1CommaStructureP2CommaPropertyP3ColonP4;
Index: TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/messages/EditionUIMessages.java
===================================================================
--- TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/messages/EditionUIMessages.java	(revision 3926)
+++ TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/messages/EditionUIMessages.java	(revision 3927)
@@ -103,7 +103,7 @@
 
 	public static String LinkedEditorOpeningPosition;
 
-	public static String NoHits;
+	public static String P0NotFound;
 
 	public static String OpeningConcordancesOfQueryP0;
 
@@ -117,7 +117,7 @@
 
 	public static String SearchingForP0InTheP1Corpus;
 
-	public static String TXMCouldNotOpenTheSWTInternalBrowser;
+	public static String TXMCouldNotOpenTheSWTInternalBrowserP0;
 
 	public static String WarningCorpusHasNoEditionNamedP0;
 
Index: TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SynopticEditionEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SynopticEditionEditor.java	(revision 3926)
+++ TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SynopticEditionEditor.java	(revision 3927)
@@ -855,7 +855,7 @@
 						editionPanels.put(editionName, panel);
 					}
 					catch (SWTError e) {
-						Log.severe(EditionUIMessages.TXMCouldNotOpenTheSWTInternalBrowser + e);
+						Log.severe(NLS.bind(EditionUIMessages.TXMCouldNotOpenTheSWTInternalBrowserP0, e));
 						Log.printStackTrace(e);
 					}
 				}
Index: TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SearchEditionToolbar.java
===================================================================
--- TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SearchEditionToolbar.java	(revision 3926)
+++ TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SearchEditionToolbar.java	(revision 3927)
@@ -285,7 +285,7 @@
 				searchNavigation.setMinPosition(0);
 				searchNavigation.setMaxPosition(0);
 				searchNavigation.refresh();
-				Log.info(EditionUIMessages.NoHits);
+				Log.info(EditionUIMessages.P0NotFound);
 			}
 		}
 		catch (Exception e1) {
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load079BinaryCorpus.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load079BinaryCorpus.java	(revision 3926)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load079BinaryCorpus.java	(revision 3927)
@@ -84,7 +84,7 @@
 				p.delete();
 			}
 			else {
-				System.out.println(NLS.bind(TXMUIMessages.abortingLoadingOfP0ACorpusWithTheSameNameAlreadyExists, zipFile, basedirname.toUpperCase()));
+				System.out.println(NLS.bind(TXMUIMessages.abortingLoadingOfP0ACorpusWithTheSameNameAlreadyExistsInP1, zipFile, basedirname.toUpperCase()));
 				return null;
 			}
 		}
@@ -95,7 +95,7 @@
 		}
 		else {
 			if (corpusDirectory.exists()) {
-				System.out.println(NLS.bind(TXMUIMessages.abortingLoadingOfP0ACorpusWithTheSameNameAlreadyExists, zipFile, corpusDirectory));
+				System.out.println(NLS.bind(TXMUIMessages.abortingLoadingOfP0ACorpusWithTheSameNameAlreadyExistsInP1, zipFile, corpusDirectory));
 				return null;
 			}
 		}
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java	(revision 3926)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java	(revision 3927)
@@ -329,7 +329,7 @@
 		// test with project name
 		Project p = Toolbox.workspace.getProject(corpusDirectory.getName().toUpperCase());
 		if (p != null) {
-			Log.warning(NLS.bind(TXMUIMessages.abortingLoadingOfP0ACorpusWithTheSameNameAlreadyExists, corpusDirectory, corpusDirectory.getName().toUpperCase()));
+			Log.warning(NLS.bind(TXMUIMessages.abortingLoadingOfP0ACorpusWithTheSameNameAlreadyExistsInP1, corpusDirectory, corpusDirectory.getName().toUpperCase()));
 			return null;
 		}
 		
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load080BinaryCorpus.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load080BinaryCorpus.java	(revision 3926)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load080BinaryCorpus.java	(revision 3927)
@@ -84,7 +84,7 @@
 				p.delete();
 			}
 			else {
-				System.out.println(NLS.bind(TXMUIMessages.abortingLoadingOfP0ACorpusWithTheSameNameAlreadyExists, zipFile, basedirname.toUpperCase()));
+				System.out.println(NLS.bind(TXMUIMessages.abortingLoadingOfP0ACorpusWithTheSameNameAlreadyExistsInP1, zipFile, basedirname.toUpperCase()));
 				return null;
 			}
 		}
@@ -95,7 +95,7 @@
 				DeleteDir.deleteDirectory(corpusDirectory);
 			}
 			else {
-				System.out.println(NLS.bind(TXMUIMessages.abortingLoadingOfP0ACorpusWithTheSameNameAlreadyExists, zipFile, corpusDirectory));
+				System.out.println(NLS.bind(TXMUIMessages.abortingLoadingOfP0ACorpusWithTheSameNameAlreadyExistsInP1, zipFile, corpusDirectory));
 				return null;
 			}
 		}
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMBrowserEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMBrowserEditor.java	(revision 3926)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMBrowserEditor.java	(revision 3927)
@@ -67,17 +67,17 @@
  * @author mdecorde.
  */
 public class TXMBrowserEditor extends WebBrowserEditor {
-	
+
 	/** The Constant ID. */
 	public final static String ID = TXMBrowserEditor.class.getName(); //$NON-NLS-1$
-	
+
 	/**
 	 * Instantiates a new TXM browser.
 	 */
 	public TXMBrowserEditor() {
-		
+
 	}
-	
+
 	/**
 	 * Gets the browser.
 	 *
@@ -87,36 +87,36 @@
 		BrowserViewer webbrowser = this.webBrowser;
 		return webbrowser.getBrowser();
 	}
-	
+
 	@Override
 	public void setPartName(String partName) {
 		super.setPartName(partName);
 	}
-	
+
 	@Override
 	public void setTitleImage(Image titleImage) {
 		super.setTitleImage(titleImage);
 	}
-	
+
 	CommandLink cmdLink;
-	
+
 	private MenuManager menuManager;
-	
+
 	/**
 	 * 
 	 * @param wordids2 all the words to highlight
 	 * @param lineids2 the words to highlight better and to scroll to
 	 */
 	public void initializeProgressListener() {
-		
+
 		ProgressListener progresslistener = new ProgressListener() {
-			
+
 			@Override
 			public void changed(ProgressEvent event) {}
-			
+
 			@Override
 			public void completed(ProgressEvent event) {
-				
+
 				Object o = TXMBrowserEditor.this.getBrowser().evaluate("return typeof " + CommandLink.FCT + ";"); //$NON-NLS-1$ //$NON-NLS-2$
 				if ("undefined".equals(o)) { //$NON-NLS-1$
 					if (cmdLink != null) {
@@ -124,7 +124,7 @@
 					}
 					cmdLink = new CommandLink(TXMBrowserEditor.this, TXMBrowserEditor.this.getBrowser());
 				}
-				
+
 				TXMBrowserEditor.this.getBrowser().execute("""
 						document.addEventListener('mouseover', function (e) {
 						   document.currentHoverElement = e.target
@@ -133,23 +133,23 @@
 		};
 		getBrowser().addProgressListener(progresslistener);
 	}
-	
+
 	public static void zoomIn(Browser b) {
 		zoom(b, 0.1f);
 	}
-	
+
 	public static void zoomOut(Browser b) {
 		zoom(b, -0.1f);
 	}
-	
+
 	public static void zoomReset(Browser b) {
 		zoom(b, 0f);
 	}
-	
+
 	public static void zoom(Browser b, float diff) {
-		
+
 		if (b == null || b.isDisposed()) return;
-		
+
 		//	b.evaluate("alert(document);");
 		//	b.evaluate("alert(document.children[0].style);");
 		//		b.evaluate("alert(document.children[0].children[1]);");
@@ -159,28 +159,28 @@
 			if (zoom == null || zoom.isEmpty()) {
 				zoom = "1.0"; //$NON-NLS-1$
 			}
-			
+
 			float fzoom = Float.parseFloat(zoom) + diff;
 			if (diff == 0f) {
 				fzoom = 1.0f;
 			}
-			
+
 			b.evaluate("document.getElementsByTagName('body')[0].style.zoom = \""+fzoom+"\";"); //$NON-NLS-1$ //$NON-NLS-2$
 		} else {
 			String zoom = (String) b.evaluate("return document.children[0].style.zoom;"); //$NON-NLS-1$
 			if (zoom == null || zoom.isEmpty()) {
 				zoom = "1.0"; //$NON-NLS-1$
 			}
-			
+
 			float fzoom = Float.parseFloat(zoom) + diff;
 			if (diff == 0f) {
 				fzoom = 1.0f;
 			}
-			
+
 			b.evaluate("document.children[0].style.zoom = \""+fzoom+"\";"); //$NON-NLS-1$ //$NON-NLS-2$
 		}
 	}
-	
+
 	MenuItem sep1;
 	MenuItem copyItem;
 	MenuItem copyLink;
@@ -192,169 +192,169 @@
 	MenuItem backItem;
 	MenuItem forwardItem;
 	MenuItem propertiesItem;
-	
+
 	public void initMenu() {
-		
+
 		// create a new menu
 		menuManager = new MenuManager();
-		
+
 		Menu menu = menuManager.createContextMenu(this.getBrowser());
-		
+
 		menu.addMenuListener(new MenuListener() {
-			
+
 			@Override
 			public void menuShown(MenuEvent e) {
-				
+
 				Menu menu = menuManager.getMenu();
 				if (menu == null) return;
-				
-				if (sep1 == null) {
-					
-					sep1 = new MenuItem(menu, SWT.SEPARATOR);
-					
+
+
+				sep1 = new MenuItem(menu, SWT.SEPARATOR);
+
+				String dom = TXMBrowserEditor.this.getTextSelectionDOM();
+
+
+
+				if (dom != null && dom.length() > 0) {
 					copyItem = new MenuItem(menu, SWT.NONE);
 					copyItem.setText(TXMUIMessages.Copy);
 					copyItem.addSelectionListener(new SelectionListener() {
-						
+
 						@Override
 						public void widgetSelected(SelectionEvent e) {
-							
+
 							String text = TXMBrowserEditor.this.getTextSelection();
 							if (text != null && text.length() > 0) {
 								IOClipboard.write(text);
 							}
 						}
-						
+
 						@Override
 						public void widgetDefaultSelected(SelectionEvent e) {}
 					});
-					
+				}
+
+				Object currentHref = TXMBrowserEditor.this.getBrowser().evaluate("return document.currentHoverElement.getAttribute('href')");
+				if (currentHref != null) {
+
 					openLink = new MenuItem(menu, SWT.NONE);
 					openLink.setText("Open link");
 					openLink.addSelectionListener(new SelectionListener() {
-						
+
 						@Override
 						public void widgetSelected(SelectionEvent e) {
-							
+
 							Object currentHref = TXMBrowserEditor.this.getBrowser().evaluate("return document.currentHoverElement.getAttribute('href')");
 							if (currentHref != null) {
 								OpenBrowser.openfile(currentHref.toString());
 							}
 						}
-						
+
 						@Override
 						public void widgetDefaultSelected(SelectionEvent e) {}
 					});
-					
+
 					copyLink = new MenuItem(menu, SWT.NONE);
 					copyLink.setText("Copy link");
 					copyLink.addSelectionListener(new SelectionListener() {
-						
+
 						@Override
 						public void widgetSelected(SelectionEvent e) {
-							
+
 							Object currentHref = TXMBrowserEditor.this.getBrowser().evaluate("return document.currentHoverElement.getAttribute('href')");
 							if (currentHref != null) {
 								IOClipboard.write(currentHref.toString());
 							}
 						}
-						
+
 						@Override
 						public void widgetDefaultSelected(SelectionEvent e) {}
 					});
-					
-					zoomInItem = new MenuItem(menu, SWT.NONE);
-					zoomInItem.setText(TXMUIMessages.zoomIn);
-					zoomInItem.addSelectionListener(new SelectionListener() {
-						
-						@Override
-						public void widgetSelected(SelectionEvent e) {
-							zoomIn(getBrowser());
-						}
-						
-						@Override
-						public void widgetDefaultSelected(SelectionEvent e) {}
-					});
-					
-					zoomOutItem = new MenuItem(menu, SWT.NONE);
-					zoomOutItem.setText(TXMUIMessages.zoomOut);
-					zoomOutItem.addSelectionListener(new SelectionListener() {
-						
-						@Override
-						public void widgetSelected(SelectionEvent e) {
-							
-							zoomOut(getBrowser());
-						}
-						
-						@Override
-						public void widgetDefaultSelected(SelectionEvent e) {}
-					});
-					
-					zoomResetItem = new MenuItem(menu, SWT.NONE);
-					zoomResetItem.setText(TXMUIMessages.initialZoom);
-					zoomResetItem.addSelectionListener(new SelectionListener() {
-						
-						@Override
-						public void widgetSelected(SelectionEvent e) {
-							
-							zoomReset(getBrowser());
-						}
-						
-						@Override
-						public void widgetDefaultSelected(SelectionEvent e) {}
-					});
-					
-					reloadItem = new MenuItem(menu, SWT.NONE);
-					reloadItem.setText(TXMUIMessages.Reload);
-					reloadItem.addSelectionListener(new SelectionListener() {
-						
-						@Override
-						public void widgetSelected(SelectionEvent e) {
-							
-							TXMBrowserEditor.this.getBrowser().refresh();
-						}
-						
-						@Override
-						public void widgetDefaultSelected(SelectionEvent e) {}
-					});
-					backItem = new MenuItem(menu, SWT.NONE);
-					backItem.setText(TXMUIMessages.Back);
-					backItem.addSelectionListener(new SelectionListener() {
-						
-						@Override
-						public void widgetSelected(SelectionEvent e) {
-							
-							TXMBrowserEditor.this.getBrowser().back();
-						}
-						
-						@Override
-						public void widgetDefaultSelected(SelectionEvent e) {}
-					});
-					forwardItem = new MenuItem(menu, SWT.NONE);
-					forwardItem.setText(TXMUIMessages.Forward);
-					forwardItem.addSelectionListener(new SelectionListener() {
-						
-						@Override
-						public void widgetSelected(SelectionEvent e) {
-							
-							TXMBrowserEditor.this.getBrowser().forward();
-						}
-						
-						@Override
-						public void widgetDefaultSelected(SelectionEvent e) {}
-					});
-					
-					propertiesItem = new PagePropertiesMenu(getBrowser(), menu, SWT.NONE);
 				}
-				
-				String dom = TXMBrowserEditor.this.getTextSelectionDOM();
-				copyItem.setEnabled(dom != null && dom.length() > 0);
-				
-				Object currentHref = TXMBrowserEditor.this.getBrowser().evaluate("return document.currentHoverElement.getAttribute('href')");
-				copyLink.setEnabled(currentHref != null);
-				openLink.setEnabled(currentHref != null);
+				zoomInItem = new MenuItem(menu, SWT.NONE);
+				zoomInItem.setText(TXMUIMessages.zoomIn);
+				zoomInItem.addSelectionListener(new SelectionListener() {
+
+					@Override
+					public void widgetSelected(SelectionEvent e) {
+						zoomIn(getBrowser());
+					}
+
+					@Override
+					public void widgetDefaultSelected(SelectionEvent e) {}
+				});
+
+				zoomOutItem = new MenuItem(menu, SWT.NONE);
+				zoomOutItem.setText(TXMUIMessages.zoomOut);
+				zoomOutItem.addSelectionListener(new SelectionListener() {
+
+					@Override
+					public void widgetSelected(SelectionEvent e) {
+
+						zoomOut(getBrowser());
+					}
+
+					@Override
+					public void widgetDefaultSelected(SelectionEvent e) {}
+				});
+
+				zoomResetItem = new MenuItem(menu, SWT.NONE);
+				zoomResetItem.setText(TXMUIMessages.initialZoom);
+				zoomResetItem.addSelectionListener(new SelectionListener() {
+
+					@Override
+					public void widgetSelected(SelectionEvent e) {
+
+						zoomReset(getBrowser());
+					}
+
+					@Override
+					public void widgetDefaultSelected(SelectionEvent e) {}
+				});
+
+				reloadItem = new MenuItem(menu, SWT.NONE);
+				reloadItem.setText(TXMUIMessages.Reload);
+				reloadItem.addSelectionListener(new SelectionListener() {
+
+					@Override
+					public void widgetSelected(SelectionEvent e) {
+
+						TXMBrowserEditor.this.getBrowser().refresh();
+					}
+
+					@Override
+					public void widgetDefaultSelected(SelectionEvent e) {}
+				});
+				backItem = new MenuItem(menu, SWT.NONE);
+				backItem.setText(TXMUIMessages.Back);
+				backItem.addSelectionListener(new SelectionListener() {
+
+					@Override
+					public void widgetSelected(SelectionEvent e) {
+
+						TXMBrowserEditor.this.getBrowser().back();
+					}
+
+					@Override
+					public void widgetDefaultSelected(SelectionEvent e) {}
+				});
+				forwardItem = new MenuItem(menu, SWT.NONE);
+				forwardItem.setText(TXMUIMessages.Forward);
+				forwardItem.addSelectionListener(new SelectionListener() {
+
+					@Override
+					public void widgetSelected(SelectionEvent e) {
+
+						TXMBrowserEditor.this.getBrowser().forward();
+					}
+
+					@Override
+					public void widgetDefaultSelected(SelectionEvent e) {}
+				});
+
+				propertiesItem = new PagePropertiesMenu(getBrowser(), menu, SWT.NONE);
 			}
-			
+
 			@Override
 			public void menuHidden(MenuEvent e) { }
 		});
@@ -376,14 +376,14 @@
 		// replace the menu
 		this.getBrowser().setMenu(menu);
 	}
-		
+
 	public static void installZoomControls(Browser browser, Menu menu) {
-		
+
 		browser.addMouseWheelListener(new MouseWheelListener() {
-			
+
 			@Override
 			public void mouseScrolled(MouseEvent e) {
-				
+
 				if ((e.stateMask & SWT.CTRL) == SWT.CTRL) {
 					if (e.count > 0) {
 						zoomIn(browser);
@@ -393,50 +393,50 @@
 				}
 			}
 		});
-		
-		
+
+
 		MenuItem zoomInItem = new MenuItem(menu, SWT.NONE);
 		zoomInItem.setText(TXMUIMessages.zoomIn);
 		zoomInItem.addSelectionListener(new SelectionListener() {
-			
+
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				zoomIn(browser);
 			}
-			
+
 			@Override
 			public void widgetDefaultSelected(SelectionEvent e) {}
 		});
-		
+
 		MenuItem zoomOutItem = new MenuItem(menu, SWT.NONE);
 		zoomOutItem.setText(TXMUIMessages.zoomOut);
 		zoomOutItem.addSelectionListener(new SelectionListener() {
-			
+
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				
+
 				zoomOut(browser);
 			}
-			
+
 			@Override
 			public void widgetDefaultSelected(SelectionEvent e) {}
 		});
-		
+
 		MenuItem zoomResetItem = new MenuItem(menu, SWT.NONE);
 		zoomResetItem.setText(TXMUIMessages.initialZoom);
 		zoomResetItem.addSelectionListener(new SelectionListener() {
-			
+
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				
+
 				zoomReset(browser);
 			}
-			
+
 			@Override
 			public void widgetDefaultSelected(SelectionEvent e) {}
 		});
 	}
-	
+
 	/*
 	 * (non-Javadoc)
 	 * @see org.eclipse.ui.internal.browser.WebBrowserEditor#createPartControl(org.eclipse.swt.widgets.Composite)
@@ -445,25 +445,25 @@
 	public void createPartControl(Composite parent) {
 		try {
 			super.createPartControl(parent);
-			
+
 			cmdLink = new CommandLink(TXMBrowserEditor.this, TXMBrowserEditor.this.getBrowser());
-			
+
 			parent.addDisposeListener(new DisposeListener() {
-				
+
 				@Override
 				public void widgetDisposed(DisposeEvent e) {
-					
+
 					cmdLink.dispose();
 				}
 			});
-			
+
 		}
 		catch (Exception e) {
 			System.err.println(TXMUIMessages.couldNotLaunchTheInternalWebBrowserYouMustSetThatParameterInThePreferencesMenuColonGeneralSupWebNavigator);
 			return;
 		}
-		
-		
+
+
 		//		RowLayout navigLayout = new RowLayout(SWT.HORIZONTAL);
 		//		navigLayout.justify = true;
 		//		Composite panneau = new Composite(parent, SWT.NONE);
@@ -498,8 +498,8 @@
 		//		nextText.setLayoutData(new RowData(30, 20));
 		//		previousText.setLayoutData(new RowData(30, 20));
 		//		lastText.setLayoutData(new RowData(30, 20));
-		
-		
+
+
 		//		// set labels
 		//		page_label.setText(""); //$NON-NLS-1$
 		//		firstText.setImage(IImageKeys.getImage(IImageKeys.CTRLREWINDSTART));
@@ -622,9 +622,9 @@
 		//		
 		//		subPanneau.pack();
 		//		panneau.pack();
-		
+
 		//		FormLayout parentLayout = new FormLayout();
-		
+
 		//		FormData datatop = new FormData();
 		//		datatop.top = new FormAttachment(0, 0);
 		//		datatop.left = new FormAttachment(0, 0);
@@ -640,36 +640,36 @@
 		//		
 		//		parent.setLayout(parentLayout);
 		//		parent.pack();
-		
+
 		//		MenuManager menuManager = new MenuManager();
 		//		Menu menu = menuManager.createContextMenu(getBrowser());
 		//		
 		//		// Set the MenuManager
 		//		getBrowser().setMenu(menu);
-		
+
 		initMenu();
-		
-//		getBrowser().addMouseListener(new MouseListener() {
-//			
-//			@Override
-//			public void mouseUp(MouseEvent e) { }
-//			
-//			@Override
-//			public void mouseDown(MouseEvent e) { }
-//			
-//			@Override
-//			public void mouseDoubleClick(MouseEvent e) {
-//				
-//				Browser b = TXMBrowserEditor.this.webBrowser.getBrowser();
-//				b.evaluate(SCRIPT01)
-//			}
-//		});
-		
+
+		//		getBrowser().addMouseListener(new MouseListener() {
+		//			
+		//			@Override
+		//			public void mouseUp(MouseEvent e) { }
+		//			
+		//			@Override
+		//			public void mouseDown(MouseEvent e) { }
+		//			
+		//			@Override
+		//			public void mouseDoubleClick(MouseEvent e) {
+		//				
+		//				Browser b = TXMBrowserEditor.this.webBrowser.getBrowser();
+		//				b.evaluate(SCRIPT01)
+		//			}
+		//		});
+
 		getBrowser().addMouseWheelListener(new MouseWheelListener() {
-			
+
 			@Override
 			public void mouseScrolled(MouseEvent e) {
-				
+
 				if ((e.stateMask & SWT.CTRL) == SWT.CTRL) {
 					if (e.count > 0) {
 						zoomIn(getBrowser());
@@ -679,44 +679,44 @@
 				}
 			}
 		});
-		
+
 		ISelectionProvider selProvider = new ISelectionProvider() {
-			
+
 			@Override
 			public void setSelection(ISelection selection) {}
-			
+
 			@Override
 			public void removeSelectionChangedListener(ISelectionChangedListener listener) {}
-			
+
 			@Override
 			public ISelection getSelection() {
 				ITextSelection sel = new ITextSelection() {
-					
+
 					@Override
 					public boolean isEmpty() {
 						return false;
 					}
-					
+
 					@Override
 					public String getText() {
 						return getTextSelection();
 					}
-					
+
 					@Override
 					public int getStartLine() {
 						return 0;
 					}
-					
+
 					@Override
 					public int getOffset() {
 						return 0;
 					}
-					
+
 					@Override
 					public int getLength() {
 						return 0;
 					}
-					
+
 					@Override
 					public int getEndLine() {
 						return 0;
@@ -724,18 +724,18 @@
 				};
 				return sel;
 			}
-			
+
 			@Override
 			public void addSelectionChangedListener(ISelectionChangedListener listener) {}
 		};
 		getSite().registerContextMenu(menuManager, selProvider);
 		getSite().setSelectionProvider(selProvider);
-		
+
 		initializeProgressListener();
-		
+
 		// System.out.println("Browser menu: "+getBrowser().getMenu());
 	}
-	
+
 	static String SCRIPT01 = "var html = \"\";" + //$NON-NLS-1$
 			"if (typeof window.getSelection != \"undefined\") {" + // modern Web browsers //$NON-NLS-1$
 			"var sel = window.getSelection();" + //$NON-NLS-1$
@@ -752,7 +752,7 @@
 			"}" + //$NON-NLS-1$
 			"}" + //$NON-NLS-1$
 			"return html"; //$NON-NLS-1$
-	
+
 	// return the span@id of the current selection
 	static String SCRIPT02 = "function getChildren(node) {\n" //$NON-NLS-1$
 			+ "if (node.children != \"undefined\")\n" //$NON-NLS-1$
@@ -781,23 +781,23 @@
 			"    var frag = range.cloneContents();alert(frag);alert(frag.children);" + //$NON-NLS-1$
 			"    findSpans(frag.children, all);" + //$NON-NLS-1$
 			"    return all;"; //$NON-NLS-1$
-	
+
 	public String getTextSelectionDOM() {
 		return ((String) getBrowser().evaluate(SCRIPT01));
 	}
-	
+
 	//	public Object getWordIDsSelection() {
 	//		System.out.println("WORDS IDS " + getBrowser().evaluate(SCRIPT02));
 	//		return getBrowser().evaluate(SCRIPT02);
 	//	}
-	
+
 	public String getTextSelection() {
 		//System.out.println("DOM=" + getTextSelectionDOM());
 		String rez = getTextSelectionDOM().replaceAll("<[^>]+>", ""); //$NON-NLS-1$ //$NON-NLS-2$
 		//System.out.println("STR=" + rez);
 		return rez;
 	}
-	
+
 	//	/**
 	//	 * Gets the current page.
 	//	 *
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/IntegerField.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/IntegerField.java	(revision 3926)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/IntegerField.java	(revision 3927)
@@ -1,17 +1,21 @@
 package org.txm.rcp.swt.widget.parameters;
 
+import org.eclipse.osgi.util.NLS;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.layout.GridData;
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Spinner;
 import org.kohsuke.args4j.NamedOptionDef;
 import org.txm.rcp.messages.TXMUIMessages;
+import org.txm.utils.logger.Log;
 
 public class IntegerField extends LabelField {
+
 	Spinner dt;
+
 	public IntegerField(Composite parent, int style, NamedOptionDef parameter) {
 		super(parent, style, parameter);
-		
+
 		dt = new Spinner(this, SWT.BORDER);
 		dt.setMinimum(Integer.MIN_VALUE);
 		dt.setMaximum(Integer.MAX_VALUE);
@@ -22,13 +26,12 @@
 	public Integer getWidgetValue() {
 		return dt.getSelection();
 	}
-	
-	
+
 	public void setDefault(Object text) {
 		try {
-			dt.setSelection(Integer.parseInt(""+text)); //$NON-NLS-1$
-		} catch(Exception e) {
-			System.out.println(TXMUIMessages.cannotSetIntegerFieldWithDefaultPropertiesValue+text+": "+e); //$NON-NLS-2$
+			dt.setSelection(Integer.parseInt("" + text)); //$NON-NLS-1$
+		} catch (Exception e) {
+			Log.warning(NLS.bind(TXMUIMessages.cannotSetIntegerFieldP0WithDefaultPropertiesValueP1, text, e)); // $NON-NLS-2$
 		}
 	}
 
@@ -38,9 +41,9 @@
 			try {
 				dt.setSelection(Integer.parseInt(getWidgetDefault()));
 			} catch (Exception e) {
-				System.out.println(TXMUIMessages.cannotSetIntegerFieldWithDefaultPropertiesValue+getWidgetDefault()+": "+e); //$NON-NLS-2$
+				Log.warning( NLS.bind(TXMUIMessages.cannotSetIntegerFieldP0WithDefaultPropertiesValueP1, getWidgetDefault(), e)); // $NON-NLS-2$
 			}
-		}  else {
+		} else {
 			dt.setSelection(0);
 		}
 	}
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 3926)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 3927)
@@ -478,7 +478,7 @@
 						}
 					}
 					else {
-						System.out.println(TXMUIMessages.errorWhileUpdatingTXMP0NoHandlerServiceFound);
+						System.out.println(TXMUIMessages.errorWhileUpdatingTXMNoHandlerServiceFound);
 					}
 				}
 			});
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 3926)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 3927)
@@ -82,7 +82,7 @@
 	
 	public static String abort;
 	
-	public static String abortingLoadingOfP0ACorpusWithTheSameNameAlreadyExists;
+	public static String abortingLoadingOfP0ACorpusWithTheSameNameAlreadyExistsInP1;
 	
 	public static String abortingLoadingOfP1ACorpusWithTheSameCQPIDP1AlreadyExists;
 	
@@ -185,7 +185,7 @@
 	public static String cannotReadTheFileP0;
 	
 	
-	public static String cannotSetIntegerFieldWithDefaultPropertiesValue;
+	public static String cannotSetIntegerFieldP0WithDefaultPropertiesValueP1;
 
 
 	public static String cannotStartImportConfigurationNoSourceFolderSelected;
